aboutsummaryrefslogtreecommitdiff
path: root/tests/functional/legacy-ssh-store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/functional/legacy-ssh-store.sh')
-rw-r--r--tests/functional/legacy-ssh-store.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/functional/legacy-ssh-store.sh b/tests/functional/legacy-ssh-store.sh
index 71b716b84..a75d55f34 100644
--- a/tests/functional/legacy-ssh-store.sh
+++ b/tests/functional/legacy-ssh-store.sh
@@ -1,4 +1,9 @@
source common.sh
+store_uri="ssh://localhost?remote-store=$TEST_ROOT/other-store"
+
# Check that store ping trusted doesn't yet work with ssh://
-nix --store ssh://localhost?remote-store=$TEST_ROOT/other-store store ping --json | jq -e 'has("trusted") | not'
+nix --store "$store_uri" store ping --json | jq -e 'has("trusted") | not'
+
+# Suppress grumpiness about multiple nixes on PATH
+(nix --store "$store_uri" doctor || true) 2>&1 | grep 'You are unknown trust'